package cn.ezhizao.project.business.controller;

import cn.ezhizao.framework.web.controller.BaseController;
import cn.ezhizao.framework.web.domain.AjaxResult;
import cn.ezhizao.project.business.domain.BizCertificate;
import cn.ezhizao.project.business.domain.Hgz10200;
import cn.ezhizao.project.business.service.IHgz10200Service;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * hgz10200Controller
 *
 * @author ezhizao
 * @date 2024-10-25
 */
@RestController
@RequestMapping("/business/hgz10200")
public class Hgz10200Controller extends BaseController
{
    @Resource
    private IHgz10200Service hgz10200Service;


    /**
     * 新增hgz10200
     */
    @PostMapping(value="/setP2Certificate")
    public AjaxResult setP2Certificate(@RequestBody BizCertificate certificate) throws NoSuchFieldException, IllegalAccessException
    {

        List<Hgz10200> hgz10200List =hgz10200Service.getBizToP2List(certificate.getId());
        for (Hgz10200 hgz:hgz10200List) {
            hgz.setIdno("*"+hgz.getIdno()+"*");
        }

        System.out.println("输出数据--------------------------------："+hgz10200List);



        return toAjax(hgz10200Service.addHgz10200(hgz10200List));
    }


}
