package cn.ezhizao.project.business.service;

import java.util.List;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.ezhizao.project.business.domain.Inc10101;

/**
 * 企业租户Service接口
 *
 * @author ezhizao
 * @date 2024-09-11
 */
public interface IInc10101Service extends IService<Inc10101>
{
    /**
     * 查询企业租户列表
     *
     * @param inc10101 企业租户
     * @return 企业租户集合
     */
    public List<Inc10101> getList(QueryWrapper<Inc10101> queryWrapper);

}
