package cn.ezhizao.project.business.service.impl;

import cn.ezhizao.framework.aspectj.lang.annotation.DataSource;
import cn.ezhizao.framework.aspectj.lang.enums.DataSourceType;
import cn.ezhizao.project.business.domain.Hgz10200;
import cn.ezhizao.project.business.mapper.Hgz10200Mapper;
import cn.ezhizao.project.business.service.IHgz10200Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * hgz10200Service业务层处理
 *
 * @author ezhizao
 * @date 2024-10-25
 */
@Service
public class Hgz10200ServiceImpl extends ServiceImpl<Hgz10200Mapper, Hgz10200> implements IHgz10200Service
{
    @Resource
    private Hgz10200Mapper hgz10200Mapper;

    /**
     * 查询hgz10200列表
     *
     * @param hgz10200 hgz10200
     * @return hgz10200
     */
    @Override
    public List<Hgz10200> getList(Hgz10200 hgz10200)
    {
        return hgz10200Mapper.getList(hgz10200);
    }

    @Override
    public List<Hgz10200> getBizToP2List(Long id) {
        return hgz10200Mapper.getBizToP2List(id);
    }

    @Override
//    @DataSource(value = DataSourceType.SLAVE)
    public int addHgz10200(List<Hgz10200> hgz10200List) {

        return hgz10200Mapper.addHgz10200(hgz10200List);
    }


}
