package cn.ezhizao.project.business.service.impl;

import cn.ezhizao.framework.aspectj.lang.annotation.DataSource;
import cn.ezhizao.framework.aspectj.lang.enums.DataSourceType;
import cn.ezhizao.project.business.domain.Inv80201;
import cn.ezhizao.project.business.mapper.Inv80201Mapper;
import cn.ezhizao.project.business.service.IInv80201Service;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class Inv80201ServiceImpl extends ServiceImpl<Inv80201Mapper, Inv80201> implements IInv80201Service
{
    @Resource
    private Inv80201Mapper inv80201Mapper;

    /**
     * 查询mrp10200列表
     *
     * @param queryWrapper<Inv80201> queryWrapper
     * @return mrp10200
     */
    @Override
    @DataSource(value = DataSourceType.SLAVE)
    public List<Inv80201> getList(QueryWrapper<Inv80201> queryWrapper)
    {
        return inv80201Mapper.selectList(queryWrapper);
    }
}
