package cn.ezhizao.project.business.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import cn.ezhizao.project.business.domain.Inc10101;

/**
 * 企业租户Mapper接口
 *
 * @author ezhizao
 * @date 2024-09-11
 */
public interface Inc10101Mapper extends BaseMapper<Inc10101>
{
    /**
     * 查询企业租户列表
     *
     * @param inc10101 企业租户
     * @return 企业租户集合
     */
    public List<Inc10101> getList(Inc10101 inc10101);
}
