package cn.ezhizao.project.business.service;

import java.util.List;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.ezhizao.project.business.domain.Inw10100;

/**
 * 企业租户Service接口
 *
 * @author ezhizao
 * @date 2024-09-10
 */
public interface IInw10100Service extends IService<Inw10100>
{
    /**
     * 查询企业租户列表
     *
     * @param inw10100 企业租户
     * @return 企业租户集合
     */
    public List<Inw10100> getList(QueryWrapper<Inw10100> queryWrapper);

}
